## univention-nextcloud-samba-share-config 2.0.0-6

=== debian/changelog ===
univention-nextcloud-samba-share-config (2.0.0-6) unstable; urgency=low

  * Create Marktplatz only when handling domain users
  * Listener clears its temporary state each run so mounts don’t inherit groups from earlier event
  * Honor nextcloud-samba-group-share-config/ignoreMarktplatz before adding any “Marktplatz” mount  

 -- Jonas Einnolf <einnolf@univention.de>  Tue, 12 Aug 2025 09:47:19 +0200

univention-nextcloud-samba-share-config (2.0.0-5) unstable; urgency=low

  * fix: univention-nextcloud-enable-for-classes-and-workgroups.py to high
    level Listener. Reason: ldap filter wasn't working as expected.
  * refactor univention-nextcloud-samba-home-share-config.py to high level
  * refactor univention-nextcloud-samba-group-share-config.py to high level
    Listener

 -- Tim Breidenbach <breidenbach@univention.de>  Fri, 08 Aug 2025 17:48:24 +0200

univention-nextcloud-samba-share-config (2.0.0-4) unstable; urgency=low

  * Fix quoting of nextcloud variables

 -- Jonas Einnolf <einnolf@univention.de>  Thu, 07 Aug 2025 14:30:41 +0200

univention-nextcloud-samba-share-config (2.0.0-3) unstable; urgency=low

  * Listener Fixes, Wrong Type Annotation, Prevent LDAP Errors

 -- Jonas Einnolf <einnolf@univention.de>  Thu, 07 Aug 2025 09:25:23 +0200

univention-nextcloud-samba-share-config (2.0.0-2) unstable; urgency=low

  * Security Hardening

 -- Jonas Einnolf <einnolf@univention.de>  Mon, 04 Aug 2025 10:20:07 +0200

univention-nextcloud-samba-share-config (2.0.0-1) unstable; urgency=low

  * Version Bump For UCS52

 -- Jonas Einnolf <einnolf@univention.de>  Mon, 07 Jul 2025 01:23:12 +0200

univention-nextcloud-samba-share-config (1.0.0-27) unstable; urgency=medium

  * refactor(univention-nextcloud-samba-share-config): Code refactoringo according to guidelines #36716

 -- Björn Usling <bjoern.usling@univention.de>  Wed, 15 Feb 2023 06:02:45 +0100

univention-nextcloud-samba-share-config (1.0.0-26) unstable; urgency=medium

  * fix(univention-nextcloud-samba-share-config): Fixed univention-directory-listener restart after installation

 -- Björn Usling <bjoern.usling@univention.de>  Fri, 04 Nov 2022 07:55:40 +0100

univention-nextcloud-samba-share-config (1.0.0-25) unstable; urgency=medium

  * fix(univention-nextcloud-samba-share-config): Fixed home share mount on external Nextcloud

 -- Björn Usling <bjoern.usling@univention.de>  Thu, 03 Nov 2022 14:38:53 +0100

univention-nextcloud-samba-share-config (1.0.0-24) unstable; urgency=medium

  * fix(univention-nextcloud-samba-share-config): Fixed home share mount on external Nextcloud

 -- Björn Usling <bjoern.usling@univention.de>  Thu, 03 Nov 2022 08:54:16 +0100

univention-nextcloud-samba-share-config (1.0.0-23) unstable; urgency=medium

  * Fix share mount on external Nextcloud

 -- Bjoern Usling <bjoern.usling@.univention.de>  Mon, 31 Oct 2022 16:34:08 +0100

univention-nextcloud-samba-share-config (1.0.0-22) unstable; urgency=medium

  * Fix traceback for share creation
  * Python 3 Migration

 -- Bjoern Usling <bjoern.usling@.univention.de>  Wed, 12 Oct 2022 15:17:12 +0200

univention-nextcloud-samba-share-config (1.0.0-21) unstable; urgency=low

  * Refactor: template file univention-nextcloud-samba-share-config.py
  * Fix: setting UCRV for commonshares failed with remote access to nc host

 -- Tim Breidenbach <breidenbach@univention.de>  Fri, 08 Apr 2022 15:29:57 +0200

univention-nextcloud-samba-share-config (1.0.0-20) unstable; urgency=medium

  * Add compatibility with non-App Center nextcloud
  * Cleanup

 -- Valentin Heidelberger <heidelberger@univention.de>  Fri, 22 May 2020 12:09:40 +0200

univention-nextcloud-samba-share-config (1.0.0-19) unstable; urgency=medium

  * Sleep 1 second in waiting for share to exist in LDAP
  * Directly return share obj instead of DN in getShare
  * Don't fail with Traceback if share does not exist in LDAP
  * Don't try to find LDAP object of share if it was just deleted
  * Remove filtering for classes and workgroups in ucsschoolRole from univention-enable-...
    * Remove dependency on common package from univention-enable-...
  * Use ucsschoolRole substring search
  * Activate and configure schueler-<ou> shares
  * Handle deletes better

 -- Valentin Heidelberger <heidelberger@univention.de>  Tue, 02 Jul 2019 14:42:20 +0200

univention-nextcloud-samba-share-config (1.0.0-18) unstable; urgency=medium

  * Actually handle delete operations

 -- Valentin Heidelberger <heidelberger@univention.de>  Mon, 03 Jun 2019 19:43:46 +0200

univention-nextcloud-samba-share-config (1.0.0-17) unstable; urgency=medium

  * Set Nextcloud config parameter filesystem_check_changes to 1
  * Wait with 30s timeout if a share corresponding to a group does not yet exist after the group has been activated for Nextcloud

 -- Valentin Heidelberger <heidelberger@univention.de>  Wed, 29 May 2019 14:14:38 +0200

univention-nextcloud-samba-share-config (1.0.0-16) unstable; urgency=medium

  * Fix incomplete processing of shares

 -- Valentin Heidelberger <heidelberger@univention.de>  Thu, 21 Feb 2019 17:09:23 +0100

univention-nextcloud-samba-share-config (1.0.0-15) unstable; urgency=medium

  * Add capability to configure "Lehrer-Austausch" mounts, deactivated by default
  * Avoid unnecessary two second sleep
  * Clean up listener.setuid calls

 -- Valentin Heidelberger <heidelberger@univention.de>  Wed, 20 Feb 2019 13:43:37 +0100

univention-nextcloud-samba-share-config (1.0.0-14) unstable; urgency=medium

  * Fix wrong shareName in home-share-config.py

 -- Valentin Heidelberger <heidelberger@univention.de>  Wed, 13 Feb 2019 17:44:03 +0100

univention-nextcloud-samba-share-config (1.0.0-13) unstable; urgency=medium

  * Fix rules/control

 -- Valentin Heidelberger <heidelberger@univention.de>  Wed, 13 Feb 2019 16:54:42 +0100

univention-nextcloud-samba-share-config (1.0.0-12) unstable; urgency=medium

  * Reorganize common code into common package
  * Add capability to configure mounts for schueler-<OU> roleshares

